## clisp 2.48-3

=== doc/Makefile ===
# CLISP Implementation Notes generation
# (c) 2000-2009 Sam Steingold

# To generate HTML, you will need xsltproc & xmllint from the libxml2
# (http://xmlsoft.org/) package in addition to the DocBook DTDs and XSL
# stylesheets (http://www.docbook.org/)
# When writing docbook documentation, you need the "DocBook Definitive Guide"
# http://docbook.org/tdg/en/html/docbook-x.html

# which DTD to validate against
DTDVER=4.5

# all included XML files
IMPNOTES=cl-ent.xml clhs-ent.xml impbody.xml impent.xml mop.xml gray.xml     \
	impext.xml impissue.xml impbyte.xml unix-ent.xml mop-ent.xml faq.xml \
	history.xml \
	../modules/berkeley-db/berkeley-db.xml	\
	../modules/berkeley-db/ent-bdb.xml	\
	../modules/dbus/dbus.xml		\
	../modules/dirkey/dirkey.xml		\
	../modules/fastcgi/fastcgi.xml		\
	../modules/gdbm/gdbm.xml		\
	../modules/gtk2/gtk.xml			\
	../modules/i18n/i18n.xml		\
	../modules/libsvm/svm.xml		\
	../modules/matlab/matlab.xml		\
	../modules/netica/netica.xml		\
	../modules/oracle/oracle.xml		\
	../modules/pari/pari.xml		\
	../modules/pcre/pcre.xml		\
	../modules/postgresql/postgresql.xml	\
	../modules/rawsock/rawsock.xml		\
	../modules/readline/readline.xml	\
	../modules/regexp/regexp.xml		\
	../modules/syscalls/syscalls.xml	\
	../modules/wildcard/wildcard.xml	\
	../modules/zlib/zlib.xml
# all used stylesheets
CLISP_XSL = chunk.xsl common.xsl fo.xsl id-href-map.xsl man.xsl pile.xsl
CLISP_CSS = impnotes.css
# targets for <olink> resolution
OLINK=man.tdb pile.tdb chunk.tdb olink-pile.xml olink-chunk.xml

RM=/bin/rm -f
CURDIR=$(shell pwd)

# what to do when there is no local system-wide DTD & XSL?
DOWNLOAD=yes

ifneq (,$(filter Windows%,$(OS)))
DTD_PATH=$(firstword $(wildcard ./docbook-dtd*/docbookx.dtd \
	/usr/share/docbook-xml$(DTDVER)/docbookx.dtd))
# Make sure to use a trailing slash.
XSL_PATH=$(firstword $(wildcard ./docbook-xsl*/ \
	/usr/share/docbook-xsl*/))
FOP=/cygdrive/c/java/fop-0.20.5/fop.bat
else
DTD_PATH=$(firstword $(wildcard ./docbook-dtd*/docbookx.dtd \
	/usr/share/sgml/docbook/xml-dtd-$(DTDVER)*/docbookx.dtd \
	/usr/share/xml/docbook/schema/dtd/$(DTDVER)*/docbookx.dtd))
XSL_PATH=$(firstword $(wildcard ./docbook-xsl*/ \
	/usr/share/sgml/docbook/xsl-stylesheets-1*/ \
	/usr/share/xml/docbook/stylesheet/nwalsh*/))
FOP=../../../fop/fop
endif

# common dependencies for all checkers
CHECK_DEPS = impnotes.xml clisp.xml
ifeq (,$(wildcard $(DTD_PATH))) # DTD does not exist
ifeq (yes,$(DOWNLOAD))		# download once
CHECK_DEPS += docbook-dtd
DTD_PATH=./docbook-dtd/docbookx.dtd
else # download on each check (you need network-aware tools to use it)
# this is the original DTD
DTD_PATH=http://www.oasis-open.org/docbook/xml/$(DTDVER)/docbookx.dtd
#DTD_PATH=http://www.docbook.org/xml/$(DTDVER)/docbookx.dtd
endif
endif

# common dependencies for all generators
GEN_DEPS = common.xsl
ifeq (,$(wildcard $(XSL_PATH))) # stylesheets do not exist
ifeq (yes,$(DOWNLOAD))	        # download once
GEN_DEPS += docbook-xsl
XSL_PATH=./docbook-xsl/
else # download on each build (you need network-aware tools to use it)
XSL_PATH=http://docbook.xml-doc.org/snapshots/xsl/
# XSL_PATH=http://docbook.sourceforge.net/release/xsl/snapshot/
# XSL_PATH=http://docbook.sourceforge.net/release/xsl/current/
endif
endif

# The xmlcatalog utility (from libxml2)
XMLCATALOG=xmlcatalog

# chose one:
#TEXI2HTML=texi2html -monolithic -verbose $< -out_file $@
TEXI2HTML=makeinfo --verbose --no-split --no-headers --html $< -o $@

# NB: keep in sync with src/makemake.in:MYIMPROOT
#DIST=podval:~/public_html/clisp
DIST=sds,clisp@web.sf.net:/home/groups/c/cl/clisp/htdocs/beta

##### nothing user-serviceable below #####

# name of XML catalog file to create
# (if not specified, no local catalog created or used)
CATALOG_FILE=catalog.xml

# Stylesheets URI used internally in the CLISP project *.xsl files.
XSL_URI=http://docbook.sourceforge.net/release/xsl/current/

FILLIN=. ../version.sh && sed -e 's,@DTD@,$(DTD_PATH),' \
	    -e 's,@DTDVER@,$(DTDVER),' \
	    -e 's,@VERSION@,'$${VERSION_NUMBER}',' \
	    -e 's,@TODAY@,'`date +"%Y-%m-%d"`','

# cannot use profiling <http://www.sagehill.net/docbookxsl/Profiling.html>
# because that would require XSL tools to be installed on user machine
SGML_UNCOMMENT=-e 's/^<!--\#\(.*\)-->$$/\#\1/'

E=\ *<!--\(\#[^-]*\)--> *
ROFF_UNCOMMENT=-e 's/^$E$$/\1/' -e 's/$E$$/\n\1/' -e 's/^$E/\1\n/' -e 's/$E/\n\1\n/g'

.PHONY : all up count search clean

all: check impnotes.html regexp.html man

ifneq (,$(CATALOG_FILE))
# depends on Makefile because of $(XSL_PATH)
$(CATALOG_FILE): Makefile
	$(RM) $(CATALOG_FILE)
	$(XMLCATALOG) --create > $(CATALOG_FILE)
	$(XMLCATALOG) --noout --add "rewriteURI" \
		$(XSL_URI) $(XSL_PATH) $(CATALOG_FILE)
	$(XMLCATALOG) --noout --add "rewriteSystem" \
		$(XSL_URI) $(XSL_PATH) $(CATALOG_FILE)
XSLTPROC=XML_CATALOG_FILES="$(CATALOG_FILE) ${XML_CATALOG_FILES}" xsltproc
else
XSLTPROC=xsltproc
endif
XMLS_COMMON = --timing --xinclude
GOOGLEADS=0

MAKE_TDB=$(XSLTPROC) $(XMLS_COMMON) --stringparam collect.xref.targets "only" \
	--stringparam targets.filename

man.tdb: clisp.xml pile.xsl $(GEN_DEPS) $(CATALOG_FILE)
	$(MAKE_TDB) "$@" pile.xsl $<

pile.tdb: impnotes.xml $(IMPNOTES) pile.xsl $(GEN_DEPS) $(CATALOG_FILE)
	$(MAKE_TDB) "$@" pile.xsl $<

chunk.tdb: impnotes.xml $(IMPNOTES) chunk.xsl $(GEN_DEPS) $(CATALOG_FILE)
	$(MAKE_TDB) "$@" chunk.xsl $<

clisp.xml: clisp.xml.in ../version.sh Makefile
	$(RM) $@
	$(FILLIN) $< > $@

XMLOUT=$(XSLTPROC) $(XMLS_COMMON) --param google.ads $(GOOGLEADS) \
	--stringparam target.database.document
DOC_MAN=--stringparam current.docid "man"
DOC_IMP=--stringparam current.docid "impnotes"

CHECK_IDS = if egrep -Hnr 'id="id[0-9]*"' $@; then exit 1; else true; fi

clisp.html: clisp.xml $(GEN_DEPS) pile.xsl $(OLINK)
	$(XMLOUT) "olink-pile.xml" $(DOC_MAN) -o $@ pile.xsl $<
	$(CHECK_IDS)

_clisp.html: clisp.html
	sed $(SGML_UNCOMMENT) $< > $@

clisp.1: clisp.xml $(GEN_DEPS) man.xsl $(OLINK)
	$(XMLOUT) "olink-pile.xml" $(DOC_MAN) -o $@ man.xsl $<

_clisp.1: clisp.1
	sed $(ROFF_UNCOMMENT) $< > $@

clisp-link.1: clisp.xml $(GEN_DEPS) man.xsl $(OLINK)
	$(XMLOUT) "olink-pile.xml" $(DOC_MAN) -o $@ man.xsl $<

_clisp-link.1: clisp-link.1
	sed $(ROFF_UNCOMMENT) $< > $@

impnotes.xml: impnotes.xml.in $(IMPNOTES) ../version.sh Makefile
	$(RM) $@
	$(FILLIN) $< > $@

check: $(IMPNOTES) $(CHECK_DEPS)
	xmllint $(XMLS_COMMON) --noout --postvalid --noent clisp.xml
	xmllint $(XMLS_COMMON) --noout --postvalid --noent impnotes.xml

impnotes.texi: impnotes.xml $(IMPNOTES)
	time docbook2texi $<

impnotes.html: impnotes.xml $(IMPNOTES) $(GEN_DEPS) pile.xsl $(OLINK)
	$(XMLOUT) "olink-pile.xml" $(DOC_IMP) -o $@ pile.xsl $<
#	cp impnotes.html impnotes-saved.html
#	tidy -config tidy.conf -f tidy.err impnotes.html || true
	$(CHECK_IDS)
	(test -n "$(DIST)" && rsync -av impnotes.html \
	  impnotes.css $(DIST)/) || true

man: _clisp.html _clisp.1 _clisp-link.1
	(cd ../build && make clisp.html clisp.1 clisp-link.1 && \
	 test -n "$(DIST)" && rsync -av clisp.1 clisp-link.1 clisp.html $(DIST)/) || true

impnotes.fo: impnotes.xml $(IMPNOTES) fo.xsl $(XSL_TARGET)
	$(XMLOUT) "olink-pile.xml" $(DOC_IMP) -o $@ fo.xsl $<

# http://xmlgraphics.apache.org/fop/
impnotes.pdf: impnotes.fo
	${FOP} $< $@

id-href.map : chunk.tdb
	$(XSLTPROC) $(XMLS_COMMON) -o $@ id-href-map.xsl $<

html: impnotes.xml $(IMPNOTES) $(GEN_DEPS) chunk.xsl pile.xsl clisp.xml $(OLINK) id-href.map
	if [ ! -h $@ ]; then $(RM) -r $@; ln -s ../../sf/www/impnotes $@; fi
	cd $@/ && grep -v -e "^#" .symlinks | sed 's/^/ln -vf /' | sh -
	cp -pv impnotes.css id-href.map $@/
	$(XMLOUT) "olink-chunk.xml" $(DOC_IMP) -o $@/ chunk.xsl $<
	$(XMLOUT) "olink-chunk.xml" $(DOC_MAN) -o $@/clisp.html pile.xsl clisp.xml
	sed $(SGML_UNCOMMENT) $@/clisp.html > _clisp-1.html
	cd ../build; make clisp-1.html;
	mv -f ../build/clisp-1.html $@/clisp.html
	rm -f _clisp-1.html
	$(CHECK_IDS)
	cd html; cd ..; $(CURDIR)/../utils/fix-perms.sh
	(test -n "$(DIST)" && rsync -av $@/*.html $@/id-href.map \
	 impnotes.css $(DIST)/impnotes/;) || true

# try to use http://www.graphviz.org/ instead of openoffice for MOP
# class inheritance diagrams
mop-classes.png : mop-classes.dot
	dot -Tpng mop-classes.dot -o mop-classes.png

UP=sf:/home/groups/c/cl/clisp/htdocs/
up: impnotes.html html
	rsync -av impnotes.html $(UP)/impnotes-new.html
	rsync -av html/* $(UP)/impnotes-new/

regexp.html: ../modules/regexp/regexp.texinfo
	$(TEXI2HTML)

clean: force
	$(RM) impnotes.xml impnotes.texi impnotes.html impnotes.pdf html \
	  clisp.xml clisp.html clisp.1 clisp-link.1 *.tdb $(CATALOG_FILE) impnotes.fo \
	  id-href.map

count: $(IMPNOTES)
	wc $^

DTD_DOWNLOAD=http://www.docbook.org/xml/$(DTDVER)/docbook-xml-$(DTDVER).zip
docbook-dtd :
	mkdir docbook-dtd && cd docbook-dtd && \
	  wget -O docbook-xml.zip $(DTD_DOWNLOAD) && \
	  unzip docbook-xml.zip && $(RM) docbook-xml.zip

docbook-xsl : force
	rsync -av --port=5873 docbook.xml-doc.org::xsl docbook-xsl
	grep '<fm:Version>' docbook-xsl/VERSION

impnotes-src.zip : Makefile impnotes.xml clisp.xml $(IMPNOTES) $(CLISP_XSL) \
		$(CLISP_CSS)
	$(RM) $@
	cd ..; ln -s . clisp; \
	zip -9 doc/$@ $(subst doc/../,, $(addprefix clisp/doc/, $^)); \
	$(RM) clisp
	(test -n "$(DIST)" && rsync -av $@ ../src/NEWS $(DIST)) || true

SEARCH=
search: force
	@if test -z "$(SEARCH)"; then echo "usage: make search SEARCH=string"; \
	else grep -n '$(SEARCH)' $(IMPNOTES) $(CHECK_DEPS); fi

force:

=== modules/bindings/glibc/Makefile ===
# Makefile for CLISP module set bindings/glibc

CC = gcc
CPPFLAGS =
CFLAGS = -Wall -O2
INCLUDES = ../..

CLISP = clisp -q -norc

LN = ln

MAKE = make

SHELL = /bin/sh

DISTRIBFILES = linux.o link.sh Makefile linux.lisp wrap.lisp
distribdir =

all : linux.o linux.fas wrap.fas

linux.c linux.fas : linux.lisp
	$(CLISP) -c linux.lisp

linux.o : linux.c $(INCLUDES)/clisp.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I$(INCLUDES) -c linux.c

wrap.fas: wrap.lisp
	$(CLISP) -c wrap.lisp

# Make a module
clisp-module : all

# Make a module distribution into $(distribdir)
clisp-module-distrib : clisp-module force
	$(LN) $(DISTRIBFILES) $(distribdir)

force :

=== debian/changelog ===
clisp (1:2.48-3) unstable; urgency=medium

  * Re-Add s390 to -doc's architectures, was removed by accident
  * Replace arm by armel in debian/control
  * urgency=medium due to rc bug fix and asdf/clc transition waiting for it
  * Upgrade to source 1.0

 -- Christoph Egger <christoph@debian.org>  Wed, 07 Jul 2010 23:40:17 +0200

clisp (1:2.48-2) unstable; urgency=low

  [ Peter Van Eynde ]
  * forgot to change clisp-dev to lisp section
  * Fixed bdb.c to handle new berkely-db version (Closes: #549762)
  * integrated the NMU. Many thanks to Alexander Reichle-Schmehl.

  [ Christoph Egger ]
  * Pass --build to all ./configure runs (Closes: #546355)
  * Upload
  * Apply build parameters from arm also to armel
  * Add myself to uploaders

 -- Christoph Egger <christoph@debian.org>  Sun, 04 Jul 2010 13:26:01 +0200

clisp (1:2.48-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add "Breaks: cl-asdf (<< 2:1.704-1)" (Closes: #579460)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 05 May 2010 10:39:00 +0200

clisp (1:2.48-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build depend on libdb4.7-dev as proposed by Ilya Barygin
    (Closes: #549762)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Fri, 23 Apr 2010 11:25:30 +0200

clisp (1:2.48-1) unstable; urgency=low

  * New upstream release
  * move clisp-link patch into git repository
  * Moved instructionset definition patch into git.
  * removed quilt horror
  * Updated Standards-Version no real changes
  * Changed Section to lisp
  * go to debhelper v7
  * added build conflict against libsigsegv 2.7 and higher
  * updated doc directory that gets build by upstream
  * added ${misc:Depends} to Depends
  * updated copyright file
  * Changed makemake to not use identical temporary targets a few times,
    (Closes: #494413)
  * Make clisp-link always work with bash. Closes: #530054
  * Fix bashism in clisp.sh Closes: #530055
  * Added debian/README.building file
  * added conflict with older clc

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 03 Sep 2009 04:52:49 +0100

clisp (1:2.44.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Readd s390 support.
  * Remove host instructionset definition, regenerate src/configure.
    (closes: #488817)

 -- Bastian Blank <waldi@debian.org>  Sun, 10 Aug 2008 09:28:14 +0000

clisp (1:2.44.1-4) unstable; urgency=low

  * debian/control:
    - drop s390 support, it seems it really needs ./configure --build.

 -- Luca Capello <luca@pca.it>  Wed, 23 Jul 2008 19:50:10 +0200

clisp (1:2.44.1-3) unstable; urgency=low

  * doc/_clisp.1:
    - restore upstream version, modifications to upstream files must
      be managed through a Debian-specific patch system.

  * doc/faq.xml:
    - restore upstream version, modifications to upstream files must
      be managed through a Debian-specific patch system.

  * debian/clisp-doc.install:
    + correct install path.

  * debian/clisp-dev.install:
    + install clisp-link manpage.

  * debian/clisp.install:
    + install clisp manpage.

  * debian/control:
    + build-depend on quilt to manage patches.
    - remove libxt-dev from clisp Build-Depends: and clisp-dev
      Depends:, they are not used and generate unnecessary
      library inclusions in clisp-dev makevars, thanks to Jörg
      Sommer <joerg@alea.gnuu.de> (Closes: #462087).

  * debian/dirs:
    - remove, useless.

  * debian/patches/series: new file.
  * debian/patches/01_fix-comment-in-src-ariarm.d.patch:
    + fix FTBFS: backport upstream fix (Closes: #490944).
  * debian/patches/02_add-clisp-link-manpage.patch:
    + first version for the clisp-link manpage.

  * debian/rules:
    + fix FTBFS: since backporting the upstream support for standard
      autoconf options (--build and --host) is too much a pain, add a
      `export CC=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)-gcc`,
      thanks to  Bastian Blank <waldi@debian.org> (Closes: #488817).
    + adapt to quilt.
    - remove unwanted upstream doc/ files on 'install' target.
    - remove useless dh_installman call from 'binary-indep' target.

 -- Luca Capello <luca@pca.it>  Mon, 21 Jul 2008 02:14:29 +0200

clisp (1:2.44.1-2) unstable; urgency=low

  * debian/control:
    + add libdb-dev to clisp-dev Depends:, thanks to Jörg Sommer
      <joerg@alea.gnuu.de> (Closes: #462086).
    + add libffcall1-dev to clisp-dev Depends:, thanks to Jörg Sommer
      <joerg@alea.gnuu.de> (Closes: #468090).

  * debian/rules:
    + fix FTBFS: allow 'MAKEFLAGS=-jN', thanks to Albin Tonnerre
      <albin.tonnerre@gmail.com> for the patch (Closes: #487381).

 -- Luca Capello <luca@pca.it>  Wed, 09 Jul 2008 17:25:15 +0200

clisp (1:2.44.1-1) unstable; urgency=low

  * New bugfix Upstream Version:
    + Add a workaround against a gcc 4.2.x bug [ 1836142 ].
    + Make it work with gcc 4.3 snapshots [ 1836142 ]
      fix Debian FTBFS, thank Sebastian Bober <sbober@servercare.de>
      for having discovered it (Closes: #474810).

  * debian/clisp*.install:
    + replace 2.44 with 2.44.1 to reflect the new upstream version.

  * debian/clisp.sh:
    + replace 2.44 with 2.44.1 to reflect the new upstream version.

  * debian/control:
    + add myself to Uploaders:.
    + add Vcs-Browser field.
    - remove xutils from Build-Depends: and clisp-dev Depends:.
    - remove trailing space and line.

  * debian/preinst:
    + replace 2.44 with 2.44.1 to reflect the new upstream version.
    - remove trailing spaces.

  * debian/postrm:
    + replace 2.44 with 2.44.1 to reflect the new upstream version.
    - remove trailing spaces.

  * debian/rules:
    + replace 2.44 with 2.44.1 to reflect the new upstream version.
    - remove suspicious line.
    - remove trailing spaces.
    - do not try to change permissions for ffcall/configure, since
      GNU libffcall is no more included since version 2.44.
    - do not try to change permissions for libcharset/configure, since
      GNU libffcall is no more included since version 2.43 (its use


=== debian/control ===
Source: clisp
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Luca Capello <luca@pca.it>, Christoph Egger <christoph@debian.org>
Build-Depends: debhelper (>> 7), gettext, bison, libncurses5-dev, groff, libx11-dev, libxext-dev, libxpm-dev, libsigsegv-dev (>= 2.4), libreadline5-dev, dh-lisp (>= 0.3), libdb4.8-dev, libffcall1-dev
Build-Conflicts: libsigsegv-dev (>= 2.7)
Standards-Version: 3.8.3
Homepage: http://www.clisp.org/
Vcs-Git: http://git.debian.org/git/pkg-common-lisp/clisp.git
Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/clisp.git;a=summary

Package: clisp
Architecture: alpha amd64 armel hppa i386 ia64 mips mipsel powerpc kfreebsd-i386 m68k hurd-i386 s390
Pre-Depends: ${xlibs:PreDepends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: common-lisp-controller (<< 6.19)
Provides: lisp-compiler, ${clisp:fasl-version}
Suggests: gdb, clisp-doc, clisp-dev, slime
Breaks: cl-asdf (<< 2:1.704-1)
Description: GNU CLISP, a Common Lisp implementation
 ANSI Common Lisp is a high-level, general-purpose programming language.
 GNU CLISP is a Common Lisp implementation by Bruno Haible of Karlsruhe
 University and Michael Stoll of Munich University, both in Germany.
 It mostly supports the Lisp described in the ANSI Common Lisp standard.
 It runs on most Unix workstations (GNU/Linux, FreeBSD, NetBSD, OpenBSD,
 Solaris, Tru64, HP-UX, BeOS, NeXTstep, IRIX, AIX and others) and on
 other systems (Windows NT/2000/XP, Windows 95/98/ME) and needs only
 4 MB of RAM.
 .
 It is Free Software and may be distributed under the terms of GNU GPL,
 while it is possible to distribute commercial proprietary applications
 compiled with GNU CLISP.
 .
 The user interface comes in English, German, French, Spanish, Dutch,
 Russian and Danish, and can be changed at run time.
 GNU CLISP includes an interpreter, a compiler, a debugger, CLOS, MOP,
 a foreign language interface, sockets, i18n, fast bignums and more.
 An X11 interface is available through CLX, Garnet, CLUE/CLIO.
 GNU CLISP runs Maxima, ACL2 and many other Common Lisp packages.

Package: clisp-dev
Section: lisp
Architecture: alpha amd64 armel hppa i386 ia64 mips mipsel powerpc kfreebsd-i386 m68k hurd-i386 s390
Depends: clisp, libc6-dev, debhelper (>> 7), gettext, bison, libncurses5-dev, groff, libx11-dev, libxext-dev, libxpm-dev, libsigsegv-dev (>= 2.4-1), libreadline6-dev, libffcall1-dev, libdb-dev, ${misc:Depends}
Replaces: clisp (<< 1:2.33.1)
Conflicts: clisp (<< 1:2.33.1)
Description: GNU CLISP, a Common Lisp implementation (development files)
 This is the link kit of clisp, it can be used to add external modules (written
 for example in C) to the implementation. The module can define new
 variables, symbols and functions for use in clisp. Examples include
 database interfaces or widget libraries. Normal users do not need
 this.
 .
 See also http://clisp.cons.org/impnotes.html#modules
 .
 ANSI Common Lisp is a high-level, general-purpose programming language.
 GNU CLISP is a Common Lisp implementation by Bruno Haible of Karlsruhe
 University and Michael Stoll of Munich University, both in Germany.
 It mostly supports the Lisp described in the ANSI Common Lisp standard.
 It runs on most Unix workstations (GNU/Linux, FreeBSD, NetBSD, OpenBSD,
 Solaris, Tru64, HP-UX, BeOS, NeXTstep, IRIX, AIX and others) and on
 other systems (Windows NT/2000/XP, Windows 95/98/ME) and needs only
 4 MB of RAM.

Package: clisp-doc
Section: doc
Architecture: all
Replaces: clisp (<< 1:2.27-0.1)
Depends: ${misc:Depends}
Conflicts: clisp (<< 1:2.27-0.1)
Description: GNU CLISP, a Common Lisp implementation (documentation)
 This is the documentation for clisp.
 .
 ANSI Common Lisp is a high-level, general-purpose programming language.
 GNU CLISP is a Common Lisp implementation by Bruno Haible of Karlsruhe
 University and Michael Stoll of Munich University, both in Germany.
 It mostly supports the Lisp described in the ANSI Common Lisp standard.
 It runs on most Unix workstations (GNU/Linux, FreeBSD, NetBSD, OpenBSD,
 Solaris, Tru64, HP-UX, BeOS, NeXTstep, IRIX, AIX and others) and on
 other systems (Windows NT/2000/XP, Windows 95/98/ME) and needs only
 4 MB of RAM.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


MAKEMAKE_FLAGS:=$(if $(findstring debug,$(DEB_BUILD_OPTIONS)),debug,)
tmp:=`pwd`/debian/tmp
XLIBS_PRE_DEPENDS=

DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

EXTRACFLAGS=-falign-functions=4

export CC=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)-gcc

ifneq (,$(filter m68k alpha hppa ,$(DEB_BUILD_ARCH)))
	export CFLAGS=-D SAFETY=3 -D NO_MULTIMAP_SHM -D NO_MULTIMAP_FILE -D NO_SINGLEMAP -D NO_TRIVIALMAP $(EXTRACFLAGS)
endif

ifneq (,$(filter ia64 ,$(DEB_BUILD_ARCH)))
	export CFLAGS=-D NO_MULTIMAP_SHM -D NO_MULTIMAP_FILE -D NO_SINGLEMAP -D NO_TRIVIALMAP $(EXTRACFLAGS)
endif

ifneq (,$(filter sparc ,$(DEB_BUILD_ARCH)))
	export CFLAGS=-mcpu=v9 -D SAFETY=3 -D NO_MULTIMAP_SHM -D NO_MULTIMAP_FILE -D NO_SINGLEMAP -D NO_TRIVIALMAP $(EXTRACFLAGS)
endif

ifneq (,$(filter armel hppa ia64 m68k s390 mipsel ,$(DEB_BUILD_ARCH)))
        # Disable FFI
	FFI=--without-dynamic-ffi
	MODULES=--with-module=clx/mit-clx --with-module=berkeley-db
else
        # Enable FFI on all other platforms
	FFI=--with-dynamic-ffi --with-dynamic-modules
        # These modules require FFI
	MODULES=--with-module=bindings/glibc --with-module=clx/new-clx --with-module=berkeley-db
	XLIBS_PRE_DEPENDS=xlibs:PreDepends="libx11-6, libxext6, libxpm4"
endif

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
	./configure debian/build --prefix=/usr --fsstnd=debian $(FFI) \
		$(MODULES) --build=$(DEB_BUILD_GNU_TYPE)
	cd debian/build && bash ./makemake --prefix=/usr --fsstnd=debian \
		--with-readline --with-gettext $(FFI) $(MODULES) \
		$(MAKEMAKE_FLAGS) $(DEB_BUILD_GNU_TYPE) > Makefile
ifneq (,$(filter mipsel sparc ia64 ,$(DEB_BUILD_ARCH)))
	sed 's/ -O2 / /' < debian/build/Makefile > debian/build/Makefile-new && \
		mv debian/build/Makefile debian/build/Makefile-old && \
		mv debian/build/Makefile-new debian/build/Makefile
endif

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	touch src/VERSION
	$(MAKE) -C debian/build
	#echo running  check-tests
	#$(MAKE) -C debian/build check-tests || cat debian/build/tests/*.erg ; true
	#$(MAKE) -C debian/build mod-check || true

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	rm -rf debian/build
	rm src/VERSION || true

	chmod a+x configure src/lndir
	find modules src utils -name configure -print0 | \
	  xargs -0 chmod a+x

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -A

	mkdir -p $(tmp)/usr/share/doc $(tmp)/usr/share/man $(tmp)/usr/lib/common-lisp
	$(MAKE) -C debian/build install DESTDIR=$(tmp)

	# remove unwanted upstream doc/ files
	rm $(tmp)/usr/share/doc/clisp/doc/clisp.1 \
		$(tmp)/usr/share/doc/clisp/doc/clisp-link.1 \
		$(tmp)/usr/share/doc/clisp/COPYRIGHT \
		$(tmp)/usr/share/doc/clisp/GNU-GPL

# We can't symlink base->full without a lot of maintainer script
# hackery, since dpkg won't replace the old directory with a symlink.
# Instead, just symlink the contents

	rm -f $(tmp)/usr/lib/clisp-2.48/base/*
	(cd $(tmp)/usr/lib/clisp-2.48/base && ln -s ../full/* .)
	chmod a+x $(tmp)/usr/lib/clisp-2.48/clisp-link

# Install CLC files
	install -o root -g root -m 0644 debian/install-clc.lisp \
		$(tmp)/usr/lib/clisp-2.48

	dh_install --sourcedir=debian/tmp
	dh_link --package=clisp-dev usr/lib/clisp-2.48/clisp-link usr/bin/clisp-link

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir  -i
	dh_testroot  -i
	dh_installdocs  -i
	dh_installexamples  -i
	dh_installchangelogs -a -i src/ChangeLog -i
	dh_strip  -i
	dh_link  -i
	dh_compress  -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums  -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir  -a
	dh_testroot  -a
	dh_installdocs  -a
	dh_installexamples  -a
	dh_installman  -a
	dh_installchangelogs -a -i src/ChangeLog -a
	dh_lisp clisp -a
	dh_strip  -a
	dh_link  -a
	dh_compress  -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	echo $(XLIBS_PRE_DEPENDS) >>debian/clisp.substvars

	(cd debian/clisp/usr/lib/clisp-2.48/full/ && mv lispinit.mem \
	                                        lispinit-orig.mem )

#	add FAS file format version to substvars
	debian/clisp/usr/bin/clisp -Efile utf-8 -B debian/clisp/usr/lib/clisp-2.48 -M debian/clisp/usr/lib/clisp-2.48/full/lispinit-orig.mem debian/fasl-version.lisp

	dh_gencontrol -a
	dh_md5sums  -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
